package com.antai.sport.http.server.game.api.business.match.bicycle;

import com.antai.sport.http.server.common.exception.BusinessException;
import com.antai.sport.http.server.game.api.business.match.bicycle.dto.RespMatchBicycleList;
import com.antai.sport.http.server.repository.match.entity.MatchBicycle;
import com.antai.sport.http.server.repository.match.mapper.MatchBicycleMapper;
import com.antai.sport.http.server.repository.sport.entity.SportUser;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @Author liming
 * @Date 2021/9/11 18:32
 * @Email lmmax@126.com
 * @Description:
 */
@Service
public class MatchBicycleService extends ServiceImpl<MatchBicycleMapper, MatchBicycle> {
    @Resource
    private MatchBicycleBusinessMapper matchBicycleBusinessMapper;

    public List<RespMatchBicycleList> getMatchBicycleList() {
        return matchBicycleBusinessMapper.getMatchBicycleList();
    }

    public void entryMatchBicycle(SportUser loginUser, Long matchId) {
        MatchBicycle match = this.getById(matchId);
        if (match == null || match.getEndTime() == null) {
            throw new BusinessException("您报名的比赛不存在");
        }

        LocalDateTime now = LocalDateTime.now();
        if (now.isBefore(match.getEntryTime())) {
            throw new BusinessException("当前比赛还没到进入时间，请查看比赛详情");
        }
        if (now.isAfter(match.getEndTime())) {
            throw new BusinessException("当前比赛已经结束，您已无法参加");
        }
        if (now.isAfter(match.getStartTime())) {
            throw new BusinessException("当前比赛已经开始，您已无法加入");
        }
    }
}
